#include <print.h>
#include <devices/pl011.h>

#include <devices/pl110.h>
#include <framebuffer.h>

struct fb myfb;

void video(void)
{
	unsigned int x, y;
	pl110_init(&myfb, 16);
	x = 0, y = 0;
	for (x=0; x<640; x++)
		for (y=0; y<480; y++)
			fb_write_pixel(&myfb, x, y, 0x1f, 0x1f, 0x0);

}
 
int main(void)
{
	print_init(&pl011_putc); //initialize the serial console

	video();

	print("hello, world!\n");
	return 0;
}
